﻿
@{
    ViewData["Title"] = "UploadRapor";
}

    <section class="section">
        <div class="section-header">
            <h1>Upload Rapor</h1>
            <div class="section-header-breadcrumb">
                <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
                <div class="breadcrumb-item"><a href="#">ELearning</a></div>
                <div class="breadcrumb-item active"><a href="#">Upload Rapor</a></div>
            </div>
        </div>
        <div class="section-body">
            <div class="card">
                <div class="card-header form-row">
                    <h4 class="col-4" id="htmlTabelKelas">
                        Form Upload Rapor Siswa
                    </h4>
                    <div class="col-8 text-right">
                        <button type="button" class="btn btn-primary btn-flat" onclick="ModalUpload();"><i class="fa fa-upload"></i>&nbsp; Mulai Upload</button> &nbsp;
                    </div>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>AKSI</th>
                                    <th>NAMA</th>
                                    <th>JENIS RAPOR</th>
                                    <th>UPLOAD OLEH</th>
                                    <th>STATUS</th>
                                    <th>FILE</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>AKSI</th>
                                    <th>NAMA</th>
                                    <th>JENIS RAPOR</th>
                                    <th>UPLOAD OLEH</th>
                                    <th>STATUS</th>
                                    <th>FILE</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>

<div class="modal fade" id="ModalUpload" role="dialog" tabindex="-1">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Upload Rapor</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormUploadRapor" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Masukan File</label>
                        <div class="col-sm-8">
                            <input type="file" class="form-control" name="FileRapor" id="FileRapor" onchange="checkextension('FileRapor');" accept=".zip">
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> 
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UploadRaporSiswa();"><i class="fa fa-truck"></i> Upload Sekarang</button>
            </div>
        </div>
    </div>
</div>